@echo off
REM File: CADUPDT.CMD
REM Author: Perez Computing Services
REM Date: 12/1/95
REM Revised: 7/12/96
REM (C) 1995-1996 Perez Computing Services.   All Rights Reserved.
REM Arguments: %1 = CADCMDR drive
REM            %2 = Boot drive
cls
echo PCS Ctrl-Alt-Del Commander Update Procedure
echo (C) 1995-1996 Perez Computing Services.  All Rights Reserved.
echo.
set UPDATE=0
set ANY_DLLS=0
set ANY_HELP=0
set ANY_EXE=0
set ANY_ICO=0
set ANY_SYS=0

:TEST_DLLS
FOR %%F IN (1 2 3 4 5 6 7 8) DO IF EXIST %1\CADCMDR\UPDATE\PCSCC00%%F.DLL SET ANY_DLLS=1
IF %ANY_DLLS% == 0 GOTO TEST_CADCMDR
echo Updating DLL's
FOR %%F IN (1 2 3 4 5 6 7 8) DO IF EXIST %1\CADCMDR\UPDATE\PCSCC00%%F.DLL COPY %1\CADCMDR\UPDATE\PCSCC00%%F.DLL %1\CADCMDR >NUL
SET UPDATE=1


:TEST_CADCMDR
IF NOT EXIST %1\CADCMDR\UPDATE\CADCMDR.EXE GOTO TEST_PKM_DMN
echo Updating Replacement PM Shell
COPY %1\CADCMDR\UPDATE\CADCMDR.EXE %1\CADCMDR /B >NUL
SET UPDATE=1
SET ANY_EXE=1



:TEST_PKM_DMN
IF NOT EXIST %1\CADCMDR\UPDATE\PKM_DMN.EXE GOTO TEST_KBDBASE
echo Updating keyboard daemon
COPY %1\CADCMDR\UPDATE\PKM_DMN.EXE %1\CADCMDR /B >NUL
SET UPDATE=1
SET ANY_EXE=1



:TEST_KBDBASE
IF NOT EXIST %1\CADCMDR\UPDATE\KBDBASE.SYS GOTO TEST_HELP
echo Updating Keyboard Base Device Driver
COPY %1\CADCMDR\UPDATE\KBDBASE.SYS %2\OS2\BOOT /B >NUL
COPY %1\CADCMDR\UPDATE\KBDBASE.SYS %1\CADCMDR /B >NUL
echo Press Ctrl-Alt-Del to reboot and let new Ctrl-Alt-Del Commander driver
echo begin operation.
echo PAUSE >NUL
SET ANY_SYS=1
SET UPDATE=1


:TEST_HELP
FOR %%F IN (eng span fren germ) DO IF EXIST %1\CADCMDR\UPDATE\CC_%%F.HL_ SET ANY_HELP=1
IF %ANY_HELP% == 0 GOTO TEST_ICON
echo Updating help files...
FOR %%F IN (eng span fren germ) DO IF EXIST %1\CADCMDR\UPDATE\CC_%%F.HL_ UNPACK2 %1\CADCMDR\UPDATE\CC_%%F.HL_ %1 >NUL
SET UPDATE=1


:TEST_ICON
IF NOT EXIST %1\CADCMDR\UPDATE\CADCMDR.ICO GOTO TEST_WPS_RES_DLL
echo Updating program icon
COPY %1\CADCMDR\UPDATE\CADCMDR.ICO %1\CADCMDR /B >NUL
SET ANY_ICO=1

:TEST_WPS_RES_DLL
IF NOT EXIST %1\CADCMDR\UPDATE\CADCMDR.ICO GOTO TEST_WPS_OBJ_HLP
COPY %1\CADCMDR\UPDATE\CADC_RES.DLL %1\CADCMDR /B >NUL
DEL %1\CADCMDR\UPDATE\CADC_RES.DLL >NUL
SET UPDATE=1

:TEST_WPS_OBJ_HLP
IF NOT EXIST %1\CADCMDR\UPDATE\CADC_WPS.HLP GOTO TEST_WPS_OBJ_DLL
COPY %1\CADCMDR\UPDATE\CADC_WPS.HLP %1\CADCMDR /B >NUL
DEL %1\CADCMDR\UPDATE\CADC_WPS.HLP >NUL
SET UPDATE=1


:TEST_WPS_OBJ_DLL
IF NOT EXIST %1\CADCMDR\UPDATE\CADC_WPS.DLL GOTO CLEANUP_FILES
COPY %1\CADCMDR\UPDATE\CADC_WPS.DLL %1\CADCMDR /B >NUL
DEL %1\CADCMDR\UPDATE\CADC_WPS.DLL >NUL
SET UPDATE=1

:CLEANUP_FILES
IF %UPDATE% == 1 echo.
IF %UPDATE% == 1 echo Cleaning up update files...
REM echo ANY_DLLS is %ANY_DLLS%
IF %ANY_DLLS% == 1 echo Cleaning up DLL files
IF %ANY_DLLS% == 1 DEL %1\CADCMDR\UPDATE\*.DLL >NUL

REM echo ANY_EXE is %ANY_EXE%
IF %ANY_EXE% == 1 echo Cleaning update EXE programs
IF %ANY_EXE% == 1 DEL %1\CADCMDR\UPDATE\*.EXE >NUL

REM echo ANY_HELP is %ANY_HELP%
IF %ANY_HELP% == 1 Echo Cleaning update HELP files
IF %ANY_HELP% == 1 DEL %1\CADCMDR\UPDATE\*.HL_ >NUL

REM echo ANYS_SYS is %ANY_SYS%
IF %ANY_SYS% == 1 echo Cleaning up SYS files
IF %ANY_SYS% == 1 DEL %1\CADCMDR\UPDATE\*.SYS >NUL

REM echo ANY_ICO is %ANY_ICO%
IF %ANY_ICO% == 1 echo Cleaning up ICO files
IF %ANY_ICO% == 1 DEL %1\CADCMDR\UPDATE\*.ICO >NUL

REM Reset flag indicating update took place
REM echo UPDATE is %UPDATE%
IF %UPDATE% == 1 IF EXIST %1\CADCMDR\CCPM.INI DEL %1\CADCMDR\CCPM.INI >NUL

:END
IF %UPDATE% == 1 echo.
IF %UPDATE% == 1 echo PCS Ctrl-Alt-Del Commander update complete!
IF %UPDATE% == 0 echo PCS Ctrl-Alt-Del Commander - No updated files detected.

